<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.eartag.mapper.FeedFowlRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.eartag.entity.FeedFowlRecord">
        <id column="id" property="id" />
        <result column="fowl_code" property="fowlCode" />
        <result column="source" property="source" />
        <result column="father_code" property="fatherCode" />
        <result column="mother_code" property="motherCode" />
        <result column="earmark" property="earmark" />
        <result column="wear_date" property="wearDate" />
        <result column="birth_day" property="birthDay" />
        <result column="day" property="day" />
        <result column="ear_temp" property="earTemp" />
        <result column="ave_temp" property="aveTemp" />
        <result column="env_temp" property="envTemp" />
        <result column="build_code" property="buildCode" />
        <result column="build_name" property="buildName" />
    </resultMap>

</mapper>
